VIA(__drivermansuffix__)

NAME
via - VIA unichrome graphics driver

SYNOPSIS
Section "Device"
  Identifier "devname"
  Driver "via"
  ...
EndSection

DESCRIPTION
via is an __xservername__ driver for VIA chipsets with onboard unichrome graphics.

The via driver supports the VIA CLE266, KM400/KN400 chipsets, including 2D acceleration and the Xv video overlay extensions. Flat panel, TV and VGA outputs are supported.

K8M800/K8N800, PM8X0 and CN400 support is still under development.

Direct rendering 3D is available using experimental drivers in Mesa, www.mesa3d.org. Also there is an XvMC client library for hardware MPEG1 / MPEG2 decoding acceleration available on the CLE266 and K8M/N800 chipsets that uses the Direct Rendering Infrastructure, DRI. The XvMC client library implements a nonstandard "VLD" extension to the XvMC standard. The current Direct Rendering Manager Linux kernel module is available at dri.sourceforge.net.

CONFIGURATION DETAILS
Please refer to __xconfigfile__(__filemansuffix__) for general configuration details. This section only covers configuration details specific to this driver.

The following driver options are supported

Option "NoAccel" "boolean"
    Disable or enable acceleration. Default: acceleration is enabled.

Option "HWCursor" "boolean"
    Disable or enable use of hardware cursors. The default is enabled.

Option "SWCursor" "boolean"
    Disable or enable the use of a software cursor. The default is disabled.

Option "ShadowFB" "boolean"
    Use a shadow frame buffer. This is required when rotating the display, but otherwise defaults to disabled.

Option "VideoRAM" "boolean"
    Override the VideoRAM auto detection. This should never be needed.

Option "Rotate" "string"
    Rotate the display either clockwise ("CW") or counter clockwise ("CCW"). Rotation is only supported unaccelerated.

Option "ActiveDevice" "string"
    Specify the active device combination. Any string containing "CRT", "LCD", "TV" should be possible. The default is to use what is detected. The driver is currently unable to use LCD and TV simultaneously, and will favour the LCD.

Option "LCDDualEdge" "boolean"
    Use dual edge mode to set the LCD.

Option "Center" "boolean"
    Disable or enable image centering on DVI displays.

Option "PanelSize" "string"
    Specify the size (width x height) of the LCD panel attached to the system. Sizes 640x480, 800x600, 1024x768, 1280x1024, and 1400x1050 are supported.

Option "TVDotCrawl" "boolean"
    Disable or enable dotcrawl.

Option "TVDeflicker" "integer"
    Specify deflicker setting for TV output. Valid values are 0,1,2 0) No deflicker, 1) 1:1:1 deflicker, 2) 1:2:1 deflicker.

Option "TVType" "string"
    Specify TV output format. The driver currently supports "NTSC" and "PAL" timings only.

Option "TVOutput" "string"
    Specify which TV output to use. The driver supports "S-Video", "Composite", "SC", "RGB" and "YCbCr" outputs. Note that on some EPIA boards the composite video port is shared with audio out and jumper selected.

Option "DisableVQ" "boolean"
    Disable or enable the use of VQ. VQ is enabled by default.

Option "DRIXINERAMA" "boolean"
    Set DRI Xinerama mode. Currently unsupported.

Option "EnableAGPDMA" "boolean"
    Enable the AGP DMA functionality in DRM. This requires that DRI is enabled and will force 2D acceleration to use AGP DMA. The XvMC DRI client will also make use of this to consume much less CPU.

Option "NoAGPFor2D" "boolean"
    With this option on, 2D acceleration will not use AGP DMA even if it is enabled.

Option "VBEModes" "boolean"
    The driver will set modes using BIOS similar to the way the vesa driver does. This is the default behaviour for Unichrome Pro in panel mode, which is otherwise not supported. Use this option only when the driver does not support your particular hardware.

Supported TV Encoders
Unichromes tend to be paired with several different TV Encoders.

VIA Technologies VT1621
    Untested as no combination with Unichrome is known or available. Supports the following normal modes: "640x480" and "800x600". Use "640x480Over" and "800x600Over" for vertical overscan. These modes are made available by the driver and modelines provided in __xconfigfile__ will be ignored.

VIA Technologies VT1622, VT1622A, VT1623
    Supports the following modes: "640x480", "800x600", "1024x768", "848x480", "720x480" (NTSC only) and "720x576" (PAL only). Use "640x480Over", "800x600Over", "1024x768Over", "848x480Over", "720x480Over" (NTSC) and "720x576Over" (PAL) for vertical overscan. The modes "720x480Noscale" (NTSC VT1622 only) and "720x576Noscale" (PAL VT1622 and VT1622a only) provide cleaner TV output (unscaled with only minimal overscan). These modes are made available by the driver and modelines provided in __xconfigfile__ will be ignored.

BUGS
The driver is not fully 64 bit clean. In particular, 3D acceleration, XvMC and VBEModes do not work properly in 64-bit mode.

SEE ALSO
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)

AUTHORS
Authors include: ...